package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDate;

public class IssueRecipeDTO implements Serializable {
   @ApiModelProperty("菜谱id")
   private @NotNull(
   message = "{menu_recipe_id_null}"
) Long recipeId;
   @ApiModelProperty("开始日期")
   private @NotNull(
   message = "{menu_begin_date_null}"
) LocalDate beginDate;
   @ApiModelProperty("结束日期")
   private @NotNull(
   message = "{menu_end_date_null}"
) LocalDate endDate;

   public IssueRecipeDTO(Long recipeId, LocalDate beginDate, LocalDate endDate) {
      this.recipeId = recipeId;
      this.beginDate = beginDate;
      this.endDate = endDate;
   }

   public IssueRecipeDTO() {
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public LocalDate getBeginDate() {
      return this.beginDate;
   }

   public LocalDate getEndDate() {
      return this.endDate;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setBeginDate(final LocalDate beginDate) {
      this.beginDate = beginDate;
   }

   public void setEndDate(final LocalDate endDate) {
      this.endDate = endDate;
   }

}
